# ddoc9155

- `foo`

  #### Declaration

  `void `foo`();`

  Note: test document note 2nd line

  Example:

  1. `import std.stdio; //& writeln("Hello world!"); if (test) { writefln("D programming language"); } algorithm; xxx; //comment yyy; /* test * comment */ // Create MIME Base64 with CRLF, per line 76. File f = File("./text.txt", "r"); uint line = 0; // The ElementType of data is not aggregation type foreach (encoded; Base64.encoder(data))`
  1. `wstring ws; transcode("hello world",ws); // transcode from UTF-8 to UTF-16`

  Example:

  1. `import std.stdio; //& writeln("Hello world!"); if (test) { writefln("D programming language"); } algorithm; xxx; //comment yyy; /+ test + comment +/`
  1. `#!/usr/bin/env rdmd // Computes average line length for standard input. import std.stdio;`
  1. `writefln(q"EOS This is a multi-line heredoc string EOS" );`